Subject: [OPSAWG] Network configuration in IP network

From: Tina TSOU <[email-masked]>
Date: Wed, 02 Dec 2009 16:11:20 +0800

Hi David,
Thank you for your reply. Comments are in line below.

B. R.
Tina

On Nov 29, 2009, at 12:06 AM, David Harrington wrote:

> Hi,
>
> I think the presentation and I-D need to demonstrate that there is a
> problem that needs solving, and the IETF is the right group to attempt
> solving it.
>
> I do not see anything in the presentation that demonstrates that the
> IETF needs to solve the LTE configuration problem. I do not see any
> discussion of existing IETF protocols that should be applied to this
> problem.
>
> The need for this extra information was discussed in some detail at
> the OPSAWG session in ietf76, but I don't see much of the requested
> information.
>
> In section 3.1, you say
> "   In a typical IP network, e.g., LTE IP backhaul network,".
> is an LTE IP backhaul network a typical IP network?
I should have refined as large scale IP infrastructure. LTE IP  
backhaul network is not a typical IP network, but it is a large scale  
IP infrastructure. We do not need example. It is everywhere.
>
>
> " In the existing configuration method,"
> is this list of steps true for all existing configuration methods?
I checked the Survey document.
>
>
> "Configuring
>   service tunnel from NMS is already defined which is not included in
>   this document."
> Where is this defined?
SNMP etc.
>
>
> How were the estimates in Figure 1 determined?

It is based on NGMN typical scenarios and it is not real network. This example should be 
deleted in next version to avoid misunderstanding.

> "The existing IP network management mainly depends on manual
>   configuration."
> What is the basis for this assertion? According to RFC3535 (IAB
> Network Management Workshop),
> "   Most devices have a builtin command line interface (CLI) for
>   configuration and troubleshooting purposes.  Network access to the
>   CLI has traditionally been through the TELNET protocol, while the
> SSH
>   protocol is gaining momentum to address security issues associated
>   with TELNET. "
> So I don't agree with your assertion. Remote access seems to be a
> major approach to configuration.

The words "remote access" should be refined to avoid misunderstanding. 
The real problem is to reduce the cost of IP network configuration in the 
process of IP management tunnel setup while traversing another vendor's device.  
The process of IP management tunnel setup includes provisioning an initial IP 
address or mask and associating it with a device identity in a large-scale IP network .
Regarding TELNET, it is configured manually so it is not high efficient. 

> I also think it is important to be clear about what "existing IP
> network management" means. There are many existing IP network
> management tools for tasks other than configuration, such as
> monitoring, logging, performance analysis, etc.

It should be "existing IP network configuration"

>
>
> The section on problems to be solved for network configuration should
> probably start with an acknowledgement of the work that has already
> been by the IETF about problems to be solved for configuration,
> including the 100+ RFCs that come up in a search for the term
> "configuration".
>
> As other SDO technologies build atop IP technologies, the IETF may
> need to consider large scale configuration requirements further, but I
> do not feel that this document, as written, is a valuable addition to
> the IETF work on configuring IP networks.

Agree with you. Yes, I should make the question clearly. We have done  
a lot of work for configuring IP network. We need to consider large  
scale infrastructure now. This document should be largely refined.
>
>
> David Harrington
> [email-masked]
> [email-masked]
> [email-masked]
>
>
> ________________________________
>
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of Tina TSOU
> Sent: Saturday, November 28, 2009 6:04 AM
> To: [email-masked]
> Subject: [OPSAWG] Network configuration in IP network
> 
> 
> Hi all,
> Here are the updated slides for Network configuration in IP
> network.
> 
> The I-D is below.
> 
> Comments are very welcome.
> 
> Have a nice weekend:)
> 
> 
> B. R.
> Tina
> 
> http://tinatsou.weebly.com/contact.html
>
> 
> ----- Original Message -----
> From: IETF I-D Submission Tool <mailto:[email-masked]>
>
> To: [email-masked]
> Cc: [email-masked]
> Sent: Saturday, November 28, 2009 4:16 PM
> Subject: Manual Post Requested for
> draft-tsou-network-configuration-problem-statement
>
> Manual Posting Requested for following Internet-Draft:
> 
> I-D Submission Tool URL:
> https://datatracker.ietf.org/idst/status.cgi?submission_id=19887
> 
> 
> Filename:
> draft-tsou-network-configuration-problem-statement
> Version:    01
> Staging URL:
> http://www.ietf.org/staging/draft-tsou-network-configuration-problem-s
> tatement-01.txt
> Title:    Network configuration problem statement
> Creation_date:    2009-11-28
> WG ID:    Individual Submission
> Number_of_pages: 8
> Abstract:
> With the network evolution to all IP, the network
> configuration needs to be enhanced because of large number of network
> devices and service tunnels.
> The existing IP network management mainly depends on manual
> configuration. The cost will be very high if all these work are
> performed manually and it is a great burden for service providers to
> deploy and maintain such large scale IP networks.
> This document discusses problems related to reducing network
> configuration workload and transmission tunnel setup between network
> devices and NMS (Network Management System).
> 
> 
> Submitter: Tina Tsou ([email-masked])
> 
> Author(s):
> Tina Tsou, [email-masked]
> 
> 
> 
> B. R.
> Tina
> 
> http://tinatsou.weebly.com/contact.html
> 
>
>